List scans
Copy page
List scans
Returns the scans in your organisation, a page at a time. You can filter them by type and status and sort them.
Request
GET /scans
Send an API key
with the read scope
in the X-Api-Key header.
Query parameters
| Parameter | Description |
|---|---|
page number | The page number to retrieve. Default 1. |
limit number | The number of items to retrieve per page. Default 100. |
scan_type string | One of pr or full. |
status string | One of pending, running, completed, failed, stopped, cancelled, skipped, pending_verification, pending_triage, draft, estimating, or estimated. |
sort_by string | One of created_at, updated_at, or status. |
sort_order string | One of ASC or DESC. Default DESC. |
Responses
200 OK
| Field | Description |
|---|---|
data array of object, required | |
data[]. string, required | |
data[]. string, required | |
data[]. string, required | One of pr or full. |
data[]. string, required | |
data[]. string, required, nullable | |
data[]. string, required, nullable | |
data[]. string, required, nullable | |
data[]. number, required, nullable | |
data[]. array of string, required, nullable | |
data[]. object, required | |
data[]. number, required | |
data[]. number, required | |
data[]. number, required | |
data[]. number, required | |
data[]. number, required | |
data[]. string, required | |
data[]. string, required | |
total number, required | |
page number, required | |
limit number, required |